<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_c_sharp.html">CSharp</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">CSharpSerializer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a1ab8c5fc5be739d87cf9bea1d8f53e6e">ArgumentsToString</a>(IReadOnlyList&lt; Argument &gt; args, int indentDepth, bool newLines=false, bool withName=false)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2f67f04695515c3eff4e6c32f9065c00">ClassContentsToString</a>(Class cls, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a09709927db21424c681e51320b42387d">ClassToString</a>(Class cls, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a107b88ea78ec898dbe7cd547ae3cabaf">CommentToString</a>(string comment, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a75509e47eca1ec9d4225a9bb08eaa86d">ConstructorsToString</a>(IReadOnlyList&lt; Constructor &gt; constructors, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a8882463bfbbeeb79429f191bb225ade3">ConstructorToString</a>(Constructor constructor, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a930f0c854f2acc0e183bf33f224992d1">DictionaryToString</a>(IDictionary&lt; string, string &gt; dict, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a3bb52a2076ccf87008a9ac93534db6e5">GetablePropertiesToString</a>(IReadOnlyList&lt; GetableProperty &gt; properties, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#ab29b7809450306b804ef80e5ac43b8b8">GetablePropertyToString</a>(GetableProperty property, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#adf5e780df4824eb622b8453b2e922e11">ImportToString</a>(Import import, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2764b1a0d9ef3d2f29792deb3b1ecf0a">MethodBodyToString</a>(MethodBody body, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a9ee565d5126667f3b16289790959ff6d">MethodsToString</a>(IReadOnlyList&lt; Method &gt; methods, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a071e1e924bcb11e93570108927aa99eb">MethodToString</a>(Method method, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a690c5a3ac107989a3feb7bbb1befcb42">Modifiers</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a758c7bfee87624656fbed9b49e61ac">ModifiersToString</a>(IReadOnlyList&lt; Modifier &gt; modifiers)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#afb4c7ec69ee34db3696f32c12282acb9">NullToString</a>(Null n)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a1a021fd487cedd9d4771f2d512990c89">ParametersToString</a>(IReadOnlyList&lt; Parameter &gt; parameters)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ab31658640e1e6238134913bf32330c45">PropertiesToString</a>(IReadOnlyList&lt; Property &gt; properties, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a64c05c4c03d2cedcf28376d7a971950f">PropertyCommentToString</a>(Property property, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#aede6fdae7fa0a597618446817be2e7ff">PropertyToString</a>(Property property, int indentDepth)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a27260500322d020774bb00149873b884">RootToString</a>(Root root)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
